petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscGLLElementGradientCreate

computes the gradient for a single 1d GLL element

### Synopsis

    PetscErrorCode PetscGLLElementGradientCreate(PetscGLL *gll,PetscReal ***AA, PetscReal ***AAT)

Not Collective

### Input Parameter

gll -the nodes

### Output Parameter

AA -the stiffness element
AAT -the transpose of AA (pass in NULL if you do not need this array)

### Notes

Destroy this with PetscGLLElementGradientDestroy()

You can access entries in these arrays with AA[i][j] but in memory it is stored in contiguous memory, row oriented

### See Also

PetscGLL, PetscGLLDestroy(), PetscGLLView(), PetscGLLElementLaplacianDestroy()

### Level

beginner

### Location

src/sys/classes/gll/petscgll.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages